> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/tools-terraform/docs/data-sources/dbaas_mariadb_backups.md).

# ionoscloud\_mariadb\_backups

Get information on DBaaS MariaDB Backups

The **DBaaS MariaDB Backups data source** can be used to search for and return existing DBaaS MariaDB Backups for a specific cluster.

## Example Usage

### Get all backups for a specific cluster

```hcl
data "ionoscloud_mariadb_backups" "example" { 
    cluster_id = "cluster_id"
    location   = "de/txl"
}
```

### Get a specific backup

```hcl
data "ionoscloud_mariadb_backups" "example" {
    backup_id = "backup_id"
    location   = "de/txl"
}
```

## Argument Reference

* `cluster_id` - (Optional)\[string] The unique ID of the cluster.
* `backup_id` - (Optional)\[string] The unique ID of the backup.
* `location`- (Optional)\[string] The location of the cluster. Different service endpoints are used based on location, possible options are: "de/fra", "de/txl", "es/vit", "fr/par", "gb/lhr", "us/ewr", "us/las", "us/mci". If not set, the endpoint will be the one corresponding to "de/txl".

⚠️ **Note:** Either `cluster_id` or `backup_id` must be used, but not both at the same time.

> **⚠ WARNING:** `Location` attribute will become required in the future.

## Attributes Reference

The following attributes are returned by the datasource:

* `bakups` - List of backups.
  * `cluster_id` - The unique ID of the cluster that was backed up.
  * `earliest_recovery_target_time` - The oldest available timestamp to which you can restore.
  * `size` - Size of all base backups in Mebibytes (MiB). This is at least the sum of all base backup sizes.
  * `base_backups` - The list of backups for the specified cluster
    * `size` - The size of the backup in Mebibytes (MiB). This is the size of the binary backup file that was stored
    * `created` - The ISO 8601 creation timestamp


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ionos.com/cloud/tools-terraform/docs/data-sources/dbaas_mariadb_backups.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
